Update the line items of a receivable
Use this endpoint to update the line items in:
* draft quotes,
* invoices in the `draft` and `recurring` statuses,
* ([non-compliant mode only](https://docs.monite.com/accounts-receivable/regulatory-compliance/invoice-compliance)) invoices in the `issued` and `overdue` statuses.
Invoices and quotes in other statuses cannot be updated.
The list of line items provided in the request body fully replaces all previous line items in the specified document.
To update the line items in draft credit notes, use [`PATCH /receivables/{receivable_id}`](https://docs.monite.com/api/receivables/patch-receivables-id) instead.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
receivable_id
ID of the invoice or quote you want to update.
Headers
x-monite-version
x-monite-entity-id
The ID of the entity that owns the requested resource.
Request
This endpoint expects an object.
data
The new list of line items that will replace existing line items.
Response
Successful Response
data
The list of line items.
Errors
400
Put Receivables ID Line Items Request Bad Request Error
401
Put Receivables ID Line Items Request Unauthorized Error
403
Put Receivables ID Line Items Request Forbidden Error
404
Put Receivables ID Line Items Request Not Found Error
409
Put Receivables ID Line Items Request Conflict Error
422
Put Receivables ID Line Items Request Unprocessable Entity Error
429
Put Receivables ID Line Items Request Too Many Requests Error